Форум программистов, компьютерный форум CyberForum.ru

Программирование Android

Войти
Регистрация
Восстановить пароль
 
Рейтинг: Рейтинг темы: голосов - 9, средняя оценка - 4.89
7Alex
216 / 0 / 1
Регистрация: 24.06.2014
Сообщений: 144
#1

Appcompat_v7 - Программирование Android

09.10.2014, 15:10. Просмотров 1147. Ответов 3
Метки нет (Все метки)

Подскажите, пожалуйста, что за библиотека это такая (appcompat_v7) и для чего она нужна.

Так как я её не использую, я удалил все упоминания о ней в файлах и удалил ссыль на эту библиотеку в свойствах проекта. В результате файл (APK) уменьшился на чуть больше чем 500 КБ. Но при загрузке обновлённого файла на Play маркет у меня удалилась поддержка 50+ языков.

А может есть способ убрать эту библиотеку, но поддержку языков оставить. Тогда подскажите, пожалуйста, как это реализовать.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
09.10.2014, 15:10     Appcompat_v7
Посмотрите здесь:

Ошибка appcompat_v7 на еслипсе - Программирование Android
Добрий вечер друзя Я новичок на етот форум и так мне надо помоч. Я установил Eclipse и после создат проект ошибка ошибка вот ето лог...

Что и зачем такое appcompat_v7 - как убрать ? - Программирование Android
День добрый! При создании проекта в Eclipse: Android Application Project создается еще один appcompat_v7 - раньше такова не было, и...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
После регистрации реклама в сообщениях будет скрыта и будут доступны все возможности форума.
YuraAAA
1567 / 1309 / 269
Регистрация: 25.10.2009
Сообщений: 3,424
Записей в блоге: 2
09.10.2014, 16:33     Appcompat_v7 #2
7Alex, а как связана поддержка языков и аппкомпат?) эта обычная support library ведь. Поправьте меня, если я ошибаюсь
dubok79
323 / 121 / 11
Регистрация: 01.11.2012
Сообщений: 586
11.10.2014, 22:04     Appcompat_v7 #3
Мне кажется это как то связано с новым SDK 4.4W, по крайней мере после очередного обновления эта апкомпат везде сама припаялась. Убираешь и пол проекта редактировать приходится.

Не по теме:

А вчера обновил гугл плей сервис. Загрузил проект на маркет. А гугл пишет, что плей сервис слишком новый и выдал ошибку. Во как

7Alex
216 / 0 / 1
Регистрация: 24.06.2014
Сообщений: 144
15.10.2014, 09:40  [ТС]     Appcompat_v7 #4
YuraAAA, сам не знаю, просто факт. Убираю lib, языки при загрузке на Play убираются, добавляю - не убираются.
Yandex
Объявления
15.10.2014, 09:40     Appcompat_v7
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru